Bug 1291329 (CVE-2015-8660) - CVE-2015-8660 kernel: Permission bypass on overlayfs during copy_up
Summary: CVE-2015-8660 kernel: Permission bypass on overlayfs during copy_up
Status: CLOSED ERRATA
Alias: CVE-2015-8660
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151204,repor...
Keywords: Security
Depends On: 1291332 1293980 1293981 1306358 1324858 1324859 1350846
Blocks: 1291331
TreeView+ depends on / blocked
 
Reported: 2015-12-14 15:07 UTC by Adam Mariš
Modified: 2019-06-08 20:53 UTC (History)
42 users (show)

(edit)
The ovl_setattr function in fs/overlayfs/inode.c in the Linux kernel through 4.3.3 attempts to merge distinct setattr operations, which allows local users to bypass intended access restrictions and modify the attributes of arbitrary overlay files via a crafted application.
Clone Of:
(edit)
Last Closed: 2016-08-23 19:07:27 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1532 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2016-08-03 01:56:01 UTC
Red Hat Product Errata RHSA-2016:1539 normal SHIPPED_LIVE Important: kernel security and bug fix update 2016-08-02 22:21:06 UTC
Red Hat Product Errata RHSA-2016:1541 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2016-08-03 01:55:56 UTC

Description Adam Mariš 2015-12-14 15:07:46 UTC
A security issue was fixed in kernel 4.4-rc4 resolving the bypassing of filesystem permission checks in overlayfs during the initial copy_up.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=acff81ec2c79492b180fade3c2894425cd35a545

Comment 2 Adam Mariš 2015-12-14 15:13:29 UTC
Acknowledgements:

Name: Nathan Williams

Comment 3 Adam Mariš 2015-12-14 15:17:55 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1291332]

Comment 4 Fedora Update System 2015-12-22 07:20:16 UTC
kernel-4.2.8-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-12-22 22:01:29 UTC
kernel-4.2.8-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Vladis Dronov 2015-12-23 21:49:11 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 as the code with the flaw is not present in the products listed.

This issue does not affect the Linux kernel packages as shipped with Red Hat
Enterprise Linux 7 and Red Hat Enterprise MRG 2 as the due updates to fix
this issue have been shipped now.

Comment 8 Huzaifa S. Sidhpurwala 2015-12-28 09:18:14 UTC
This issue was assigned CVE-2015-8660 as per:

http://seclists.org/oss-sec/2015/q4/575

Comment 17 errata-xmlrpc 2016-08-02 13:53:38 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2016:1532 https://rhn.redhat.com/errata/RHSA-2016-1532.html

Comment 18 errata-xmlrpc 2016-08-02 18:26:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1539 https://rhn.redhat.com/errata/RHSA-2016-1539.html

Comment 19 errata-xmlrpc 2016-08-02 18:35:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1541 https://rhn.redhat.com/errata/RHSA-2016-1541.html


Note You need to log in before you can comment on or make changes to this bug.